Search moodle.org's
Developer Documentation


  • Bug fixes for general core bugs in 2.8.x ended 9 November 2015 (12 months).
  • Bug fixes for security issues in 2.8.x ended 9 May 2016 (18 months).
  • minimum PHP 5.4.4 (always use latest PHP 5.4.x or 5.5.x on Windows - http://windows.php.net/download/), PHP 7 is NOT supported
  • /course/format/
    FolderUp one level  
    Foldersingleactivity/
     
    Foldersocial/
     
    Foldertopics/
     
    Folderweeks/
     
    Fileformatlegacy.php [source] [359 lines]   Course format class to allow plugins developed for Moodle 2.3 to work in the new API
    Filelib.php          [source] [998 lines]   Base class for course format plugins
    Filerenderer.php     [source] [833 lines]   Base renderer for outputting course formats.

    Search This Site: